﻿using MonoMod;
using SafeExamBrowser.Logging.Contracts;

namespace SafeExamBrowser.Monitoring
{
#pragma warning disable IDE1006 // Naming Styles
    public class patch_Clipboard : Clipboard
#pragma warning restore IDE1006 // Naming Styles
    {
        [MonoModIgnore] public patch_Clipboard(ILogger logger, SafeExamBrowser.WindowsApi.Contracts.INativeMethods nativeMethods, int timeout_ms = 50) : base(logger, nativeMethods, timeout_ms) { }

#pragma warning disable IDE0044 // Add readonly modifier
        [MonoModIgnore] private ILogger logger;
#pragma warning restore IDE0044 // Add readonly modifier

#pragma warning disable CS0108 // Member hides inherited member; missing new keyword
        public void Initialize(Settings.Security.ClipboardPolicy policy)
#pragma warning restore CS0108 // Member hides inherited member; missing new keyword
        {
            this.logger.Info(string.Format("Initialized clipboard for policy '{0}'.", policy));
        }

#pragma warning disable CS0108 // Member hides inherited member; missing new keyword
        public void Terminate()
#pragma warning restore CS0108 // Member hides inherited member; missing new keyword
        {
            this.logger.Info("Finalized clipboard");
        }
    }
}
